<?php

class YResilience {

	public function __construct() {

	}

	public static function plugin_activation() {
		wp_clear_scheduled_hook( 'wp_yavli_cron' );
	}

	public static function plugin_deactivation() {
		wp_clear_scheduled_hook( 'wp_yavli_cron' );
	}

	public function refresh_ad_server( $update_method = 'manual' ) {

		$api = YResilience_API::init();
		$success = $api->get_vars();

		if ( ! $success ) {
			YResilience_Options::update_option( 'last_error_msg', $api->get_full_error_msg() );
			return false;
		}
		YResilience_Options::update_option( 'last_error_msg', '' );
		YResilience_Options::update_option( 'last_update_at', time() );

		YResilience_Options::update_option( 'url', $api->api_result->data->url );
		YResilience_Options::update_option( 'use_element_decoy', $api->api_result->data->use_element_decoy );
		YResilience_Options::update_option( 'use_resource_decoy', $api->api_result->data->use_resource_decoy );
		YResilience_Options::update_option( 'element_decoy_id', $api->api_result->data->element_decoy_id );
		YResilience_Options::update_option( 'element_decoy_class', $api->api_result->data->element_decoy_class );

		YResilience_Options::update_option( 'resource_decoy_url', $api->api_result->data->resource_decoy_url );

		if ( ! in_array( $update_method, array( 'manual', 'cron', 'push' ), true ) ) {
			$update_method = 'manual';
		}

		YResilience_Options::update_option( 'last_update_method', $update_method );

		return true;
	}
}
